import { PlatformConfig, ContainerDeploymentRequest } from 'types';
export declare class DockerClient {
    static createDockerNetworkForContainerManagerServer(platformConfig: PlatformConfig): void;
    static stopContainer(deploymentRequest: ContainerDeploymentRequest): string;
    static startContainer(platformConfig: PlatformConfig, { image, containerPort, hostPort, registry, env }: ContainerDeploymentRequest): string;
    static resolveCredentials({ registry, username, authentication }: ContainerDeploymentRequest): string;
    static deploy(platformConfig: PlatformConfig, deploymentRequest: ContainerDeploymentRequest): Promise<void>;
}
